<template>
  <v-divider
    :vertical="vertical"
    :inset="inset"
    :color="color"
    :thickness="thickness"
    class="border-opacity-100"
    :class="`border-${color}`"
  >
  </v-divider>
</template>

<script setup>
defineProps({
  vertical: {
    type: Boolean,
    default: false,
  },
  inset: {
    type: Boolean,
    default: false,
  },
  thickness: {
    type: Number,
    default: 1,
  },
  color: {
    type: String,
    default: '',
  }
})
</script>